/* Mathematiques de l'informatique graphique    */
/* Matrice de 4x4 double                        */
/*                                              */
/* Auteur: Nicolas JANEY                        */
/* nicolas.janey@univ-fcomte.fr                 */
/* Mars 2014                                    */

#ifndef ____MATRICE4X4____
#define ____MATRICE4X4____

class Vecteur4;

class Matrice4x4  {

  public :
    float c[4][4];

  public :

    /* Constructeurs                            */
    Matrice4x4(void);
    Matrice4x4(float *t);
    Matrice4x4(float **t);
    Matrice4x4(Matrice4x4 *tg);

    /* Destructeur                              */
    ~Matrice4x4(void);

    /* Methodes                                 */
    void print(void);
};

#endif
